也许 吧:
- (defun C:kk (/ input start rot count ang inc pt1)
- ;(setq count (getint "Enter Starting No.: "))
- _$ (initget 5)
- nil
- _$ (setq count (fix (getreal "\nEnter value ")))
- (if (null count) (setq count 1))
- (setq inc 1)
- (setq th (getint "\nEnter text height: "))
- (if (null th) (setq th 1.27))
- ;; set continue flag to True
- (setq continue T)
- (while continue
- (setq input (getpoint (strcat "\nInsertion point for number")))
- ;; evaluate user input
- (cond
- (T
- (command "text" "s" "Standard" "mc" input 2 0 count)
- (setq pt1 input)
- (setq count (+ count inc)))
- )
- )
- (princ)
- )
|